PDA

View Full Version : Patch ERROR - griff looses it (old demos not compatible with 1.01)


griff38
11-13-2003, 01:36 PM
Inside the gamedate\base folder is a folder called demos if you make demos. This folder stores the .dm_25 files created while recording demos. This folder is accessible from inside the game menu so you can replay demos.

This is how I and others record gameplay and play it back for editing to make game videos.

After patching last night the demo folder now appears empty. The patch does create a new set of folders and a new demo folder but even with demo files in both folders they are no longer available from inside the game.

To confirm it's the patch I did a complete delete and reinstall of JA and without the patch the demo files are right there. As soon as I patched again they are gone.

What this means is if I play patched I can no longer access demos for making videos.
I guess I won't be making any JEDI ACADEMY videos. :( :( :(

shukrallah
11-13-2003, 01:40 PM
why didnt you copy the demo files, install the patch, then put the demo files back? it might work...

griff38
11-13-2003, 01:45 PM
Originally posted by lukeskywalker1
why didnt you copy the demo files, install the patch, then put the demo files back? it might work...


Good suggestion,

tried it.

Didn't work.

shukrallah
11-13-2003, 01:51 PM
you can still make normal demos right? youll just have to redo some of your work. I think the reason it doesnt work is because now JA has been updated, and those demos were made with the older version. For example, with force commander, when you get the patch it deletes all of your saved games, because they are outdated..... err.. something.

ASk
11-13-2003, 01:55 PM
Since demos essentially use the network protocol to playback, they break between patches. That happens in ALL Q3-engine games. So that's a normal occurence.

griff38
11-13-2003, 01:57 PM
Tried it all. Although I can still make a demo it does not show up in the demo menu, you would think a demo made while patched would show up. It does not.

Close JA and use windows explorer to navigate to the folders and the files are clearly there.

shukrallah
11-13-2003, 01:57 PM
find the thread called "scared to get the patch" or something like that, then get the program, so you can just simply switch back to the original version to get your demos... that might work.

shukrallah
11-13-2003, 01:59 PM
http://lucasforums.com/forumdisplay.php?s=&forumid=474 its right there.... try it out, but i cant say whether it will help your problem or not.

Elijah
11-13-2003, 02:58 PM
Yea luke, I was gonna post that... infact the reason I made it was so I could get my old demos for the JK3:CTF Video I'm making :p

griff38
11-13-2003, 04:38 PM
Well after screwing with it all morning I have come to the conclusion demos recorded prior to patching are just gone unless I uninstall the patch.

So I am just gonna start from scratch recording with the patch, and hope this error is adressed before another patch.


The new patched ja looks for a .dm_26 file and I think the unpatched version looks for a .dm_25 file.

THE ERROR MESSAGE (http://us.f1f.yahoofs.com/bc/729b3a76/bc/three--1/error+message.jpg?BCBG8s_AhkXGf7ZY)

Prime
11-13-2003, 05:15 PM
Excellent! Can't wait for more videos, griff. Love 'em. :)

Lathain Valtiel
11-13-2003, 05:16 PM
..If it looks for dm_26, why not rename the extension and see what happens?

Iblis Reborn
11-13-2003, 05:46 PM
it cant play them cause the patched changed how the game does a few things

lets say you did a back roll in the demo or something else that was changed, it wouldnt be able to do it and everything after that would go wrong

the rest of the vid would be you probably walking into walls and off cliffs and stuff

at least thats how it was way back when but it should still hold true

griff38
11-13-2003, 06:45 PM
Originally posted by MMXP
..If it looks for dm_26, why not rename the extension and see what happens?

Good suggestion,

tried it.

Didn't work.

Elijah
11-14-2003, 01:35 AM
Or you could just use the patch program, go into JK3, compile your demo to JPGs then switch back to the patched version...

http://rokbros.com/freedom/files/patchja.zip

Kurgan
11-14-2003, 01:54 AM
That's really too bad, but not surprising.

Remember the same thing happened with the JK2 patches.. old demos became "obsolete" and no longer worked.

It's too bad there wasn't some way for the engine to "automagically" convert them though, since nothing in gameplay changed except for the rolls.. : (

At least SP save games are still compatible, that's something.


Could somebody develop a program to convert the old demos to the new format somehow?

razorace
11-14-2003, 03:11 AM
Doubtful, that would be a lot of work just to provide backwards compatibility to an older version.

GEEZus
11-14-2003, 06:05 AM
in jk2 you just had to rename demo files to view old demo folders.. haven't tried it in jk3 yet, but according to you guys it doesn't work?

Kurgan
11-14-2003, 06:28 AM
Give it a shot.. I'm sure people would like to know. I'm heading out so I can't try it sorry...

griff38
11-14-2003, 04:21 PM
Originally posted by GEEZus
in jk2 you just had to rename demo files to view old demo folders.. haven't tried it in jk3 yet, but according to you guys it doesn't work?


You can rename the file but you get an error message when attempting to launch it: basejka-1 doesn't match basejk-1.


THE error MESSAGE (http://us.f1f.yahoofs.com/bc/729b3a76/bc/three--1/error+message.jpg?BC0.Qt_Ah0.kf7ZY)

Rumor
11-15-2003, 06:07 AM
kids a little lesson: when you record a demo you are not recording a visual record of events (why do you think a 20 minute demo is under 3 megs). you are logging what goes on between the clients (much like a server) in a format that can tell the game what to render and in what order things happen. this system is dependant on how it interfaces with the game, and the biggest part of that is the version. with each version how the game's clients and servers interact is changed. therefore old demos won't work on the new patches.

griff a suggestion:

uninstall and reinstall with 1.00. put those demos in the proper folder, and copy the entire directory for JA to another location and use it for vs 1.00 stuff (its just like in jk2 where you can simply copy the directory and it will play).

then, over the original directory, install the patch. walla, both versions are accessible.

griff38
11-15-2003, 12:16 PM
Originally posted by Rumor
kids a little lesson: griff a suggestion:

uninstall and reinstall with 1.00. put those demos in the proper folder, and copy the entire directory for JA to another location and use it for vs 1.00 stuff (its just like in jk2 where you can simply copy the directory and it will play).

then, over the original directory, install the patch. walla, both versions are accessible.

Thanks for the lesson kids, but I tried everything before I posted here including your suggestion and it did not work.

Rumor
11-15-2003, 08:29 PM
using a second directory has always worked for me and many of my friends griff. heck one time at a LAN some friends of mine's discs weren't working so i just copied my directory to their machines and they played along with the rest of us.